Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# SString.cpp File Reference

`#include "ace/Malloc_T.h"`
`#include "ace/OS_Memory.h"`
`#include "ace/SString.h"`
`#include "ace/Auto_Ptr.h"`
`#include "ace/OS_NS_string.h"`
`#include "ace/streams.h"`

Include dependency graph for SString.cpp:

## Functions
ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_OSTREAM_TYPE & | operator<< (ACE_OSTREAM_TYPE &os, const ACE_CString &cs)
ACE_OSTREAM_TYPE & | operator<< (ACE_OSTREAM_TYPE &os, const ACE_WString &ws)
ACE_OSTREAM_TYPE & | operator<< (ACE_OSTREAM_TYPE &os, const ACE_SString &ss)

## Function Documentation

ACE_OSTREAM_TYPE& operator<< | ( | ACE_OSTREAM_TYPE & | os,
|  | const ACE_SString & | ss
| ) |

ACE_OSTREAM_TYPE& operator<< | ( | ACE_OSTREAM_TYPE & | os,
|  | const ACE_WString & | ws
| ) |

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_OSTREAM_TYPE& operator<< | ( | ACE_OSTREAM_TYPE & | os,
|  | const ACE_CString & | cs
| ) |